/* LA BASE */
* {
  box-sizing: border-box;
  font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
  font-size: 16px;
  padding: 0;
  margin: 0;
  color: white;
}

html {
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  background-color: #062044;
}

a, li {
  color:white; 
  text-decoration : none;
}

ul {
  list-style-type: none;
}

main {
  display: grid;
  grid-template-columns: 20% 60% 20%;
  padding: 1em 1em 0 1em;
  height: 100%;
}

nav, footer{
  padding:1em;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: #000000;
}

.fieldset {
  display: flex;
  width: 80%;
}
/* MAIN CHAT */

.group_name {
  display: flex;
  justify-content: center;
}

#main_chat {
  background-color: rgb(29, 80, 148) ;
  display: flex;
  flex-direction: column;
  height: 99%;
  border-radius: 20px;
  margin: 0 5em 0 5em;
}


#main_chat form {
  width: 100%;
  padding-top: 2em;
  padding-bottom: 2em;
  background-color: rgb(29, 80, 148);
}

#msg {
  width: 90%;
  background: rgb(69, 93, 124);
  border: 0px solid black;
  margin-left: 2.5em;
  border-radius: 10px;
  height: 50%;
  margin-bottom: 1.5em;
}

#msg:focus {
  border: 0px;
}

#messages {
  overflow-y:scroll; 
  overflow-x:hidden;
  height: 62vh;
}

#image_mess {
  width: 35vw;
  height: auto;
}

input[type=file]::file-selector-button {
  border: none;
  background: #084cdf;
  margin-left: 2.5em;
  padding: 10px 20px;
  border-radius: 10px;
  color: #fff;
  cursor: pointer;
  transition: background .2s ease-in-out;
}

input[type=file]::file-selector-button:hover {
  background: #0d45a5;
}

input[type="button"]{
  height: 2em;
  width: 2em;
  clip-path: circle(30%);
  color: red;
}

/* SCROLL BAR */

#messages::-webkit-scrollbar-track {
  border: 1px solid #000;
  padding: 2px 0;
  background-color: #404040;
}

#messages::-webkit-scrollbar {
  width: 10px;
}

#messages::-webkit-scrollbar-thumb {
  border-radius: 10px;
  box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #737272;
  border: 1px solid #000;
}

.div_mess {
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 4em;
  margin-bottom: 1em;
  padding-left: 1em;

}

.div_mess div{
  display: flex;
  align-items: center;
}

.div_mess:hover {background-color: rgb(6, 105, 6);}



/* PEOPLE */

#people{
  height: fit-content;
}

.group_name_people, #group_plus_people {
  height: 3em;
  display: flex;
  align-items: center;
  padding-left: 1em;
  border-radius: 5px;
}

.group_name_people:hover, #group_plus_people:hover {
  background-color: #717b88;
  cursor: pointer;
}

#ul_group_list {
  background-color: #3a4558;
  border-radius: 20px;
  padding: 0;
}

#user_info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #3a4558;
  border-radius: 10px;
  margin-top: 1em;
}

#user_info div{
  display: flex;
  align-items: center;
}

#avatar{
  margin-top: 2em;
  position: relative;
  height: 3em;
  width: 6em;
  clip-path: circle(30%);
  background-color: #000;
  margin: 0px -1em 0px -1em;
}

#button_param_account {
  left: 5vw;
  width: 2em;
  height: 2em;
}

/* CURENT GROUP */

#main_desc{
  background-color: #3a4558;
  border-radius: 20px;
  height: fit-content;
  height: 80%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding: 1em;
}

#img_add {
  margin-top: 2em;
  position: relative;
  height: 4em;
  width: 4em;
  clip-path: circle(30%);
  background-color: rgb(109, 109, 109);
  margin: 0;
}

#add_group{
  display: flex;
  flex-direction: row;
  align-items: center;
}

#add_group:hover{
  background-color: #717b88;
  cursor: pointer;
}


@import url('https://fonts.googleapis.com/css?family=Poppins:900i');

.wrapper {
  display: flex;
  justify-content: center;
}

.quitter {
  display: flex;
  align-items: center;
  padding: 10px 45px;
  text-decoration: none;
  font-family: 'Poppins', sans-serif;
  font-size: 40px;
  color: white;
  background: rgb(29, 80, 148);
  transition: 1s;
  box-shadow: 6px 6px 0 black;
  transform: skewX(-15deg);
}

.quitter:focus {
 outline: none; 
}

.quitter:hover {
  transition: 0.5s;
  box-shadow: 10px 10px 0 #fb3838;
}

.quitter span:nth-child(2) {
  transition: 0.5s;
  margin-right: 0px;
}

.quitter:hover  span:nth-child(2) {
  transition: 0.5s;
  margin-right: 45px;
}

span {
  transform: skewX(15deg) 
}

span:nth-child(2) {
  width: 20px;
  margin-left: 30px;
  position: relative;
  top: 12%;
}

/**************SVG****************/

path.one {
  transition: 0.4s;
  transform: translateX(-60%);
}

path.two {
  transition: 0.5s;
  transform: translateX(-30%);
}

.quitter:hover path.three {
  animation: color_anim 1s infinite 0.2s;
}

.quitter:hover path.one {
  transform: translateX(0%);
  animation: color_anim 1s infinite 0.6s;
}

.quitter:hover path.two {
  transform: translateX(0%);
  animation: color_anim 1s infinite 0.4s;
}

/* SVG animations */

@keyframes color_anim {
  0% {
      fill: white;
  }
  50% {
      fill: #fb3838;
  }
  100% {
      fill: white;
  }
}
